VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "See If Application is Responding"
   ClientHeight    =   2160
   ClientLeft      =   5070
   ClientTop       =   2355
   ClientWidth     =   5175
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2160
   ScaleWidth      =   5175
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame1 
      Caption         =   "Start Application"
      Height          =   1905
      Left            =   105
      TabIndex        =   7
      Top             =   105
      Width           =   3375
      Begin VB.CommandButton cmdStart 
         Caption         =   "Start Application"
         Height          =   435
         Left            =   945
         TabIndex        =   3
         Top             =   1365
         Width           =   1485
      End
      Begin VB.OptionButton optApp 
         Caption         =   "Other"
         Height          =   330
         Index           =   1
         Left            =   1890
         TabIndex        =   1
         Top             =   315
         Width           =   1170
      End
      Begin VB.OptionButton optApp 
         Caption         =   "Internet Explorer"
         Height          =   225
         Index           =   0
         Left            =   210
         TabIndex        =   0
         Top             =   315
         Value           =   -1  'True
         Width           =   1590
      End
      Begin VB.TextBox txtpath 
         Height          =   285
         Left            =   315
         TabIndex        =   2
         Top             =   945
         Width           =   2955
      End
      Begin VB.Label lblpath 
         Caption         =   "Path:"
         Height          =   225
         Left            =   315
         TabIndex        =   8
         Top             =   735
         Width           =   645
      End
   End
   Begin VB.CommandButton cmdQuit 
      Caption         =   "Quit"
      Height          =   435
      Left            =   3675
      TabIndex        =   6
      Top             =   1470
      Width           =   1380
   End
   Begin VB.CommandButton cmdStop 
      Caption         =   "Kill Application"
      Height          =   435
      Left            =   3675
      TabIndex        =   5
      Top             =   840
      Width           =   1380
   End
   Begin VB.CommandButton cmdCheck 
      Caption         =   "Check Status"
      Height          =   435
      Left            =   3675
      TabIndex        =   4
      Top             =   210
      Width           =   1380
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit



Private Sub cmdCheck_Click()
Dim lResult As Long
Dim lReturn As Long
'
' If no app started, get out.
'
If lHwnd = 0 Then Exit Sub
'
' Check the status of the application specifying
' a timeout period of 1 second (1000 miliseconds).
'
' SMTO_ABORTIFHUNG Returns without waiting for the
'       time-out period to elapse if the receiving
'       process appears to be in a "hung" state.
'
' SMTO_BLOCK Prevents the calling thread from processing
'       any other requests until the function returns.
'
lReturn = SendMessageTimeout(lHwnd, WM_NULL, 0&, 0&, SMTO_ABORTIFHUNG And SMTO_BLOCK, 1000, lResult)

If lReturn Then
    MsgBox "Responding", vbInformation, "Application Status"
Else
    MsgBox "Not Responding", vbInformation, "Application Status"
End If
End Sub


Private Sub cmdQuit_Click()
Unload Me
End Sub

Private Sub cmdStart_Click()

If optApp(1) And Trim$(txtpath) = "" Then
    MsgBox "Enter a path to the application to start.", vbExclamation, "Missing or Invalid Path"
    Exit Sub
End If
'
' Start Internet Explorer or the specified application.
'
If optApp(0) Then
    '
    ' Start Explorer.
    '
    Set oIE = Nothing
    Set oIE = CreateObject("InternetExplorer.application")
    oIE.Visible = True
    oIE.navigate2 "http://www.TheScarms.com"
    lHwnd = oIE.hwnd
Else
    '
    ' The the specified application and get
    ' its window handle based on its process ID.
    '
    lPid = Shell(txtpath, vbNormalFocus)
    Call fEnumWindows
End If
End Sub


Private Sub cmdStop_Click()
Dim lPid     As Long
Dim lReturn  As Long
Dim lProcess As Long
'
' If no app started, get out.
'
If lHwnd = 0 Then Exit Sub
'
' Get the process ID for the application
' from its window handle.
'
lReturn = GetWindowThreadProcessId(lHwnd, lPid)
'
' Terminate the application unconditionally.
'
lProcess = OpenProcess(PROCESS_ALL_ACCESS, 0&, lPid)
lReturn = TerminateProcess(lProcess, 0&)
End Sub


Private Sub Form_Load()
optApp(0).Value = True
txtpath.Enabled = False
lblpath.Enabled = False
End Sub


Private Sub Form_Unload(Cancel As Integer)
Set oIE = Nothing
End Sub


Private Sub optApp_Click(Index As Integer)
If Index = 0 Then
    txtpath.Enabled = False
    lblpath.Enabled = False
Else
    txtpath.Enabled = True
    lblpath.Enabled = True
End If
End Sub


